Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class LTF_Parser.IncludeReader

    java.lang.Object
      ix.util.lisp.LispReader
          ix.iface.domain.LTF_Parser.IncludeReader

Enclosing class:
  LTF_Parser

     class LTF_Parser.IncludeReader

extends LispReader

Wrapper class used to read included resources.

Field Summary
`(package private) java.lang.Object` | `pushedLastRead`
`(package private) LispReader` | `pushedReader`
`(package private) java.lang.String` | `pushedSourceName`
`(package private) java.lang.String` | `resourceName`
`(package private) LispReader` | `wrappedReader`

Fields inherited from class ix.util.lisp.LispReader
`inReader, inStream, singleQuoteIsMacro, tk`

Constructor Summary
`LTF_Parser.IncludeReader(java.net.URL resourceURL, java.io.Reader resourceReader, LispReader readerToWrap)`

Method Summary
`(package private) void` | `popState()`
`(package private) void` | `pushState()`
`java.lang.Object` | `readObject()`

Methods inherited from class ix.util.lisp.LispReader
`close, listreader, reader, safeRead, safeRead, setSingleQuoteIsMacro, tryAsNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceName

    java.lang.String resourceName

### wrappedReader

    LispReader wrappedReader

### pushedReader

    LispReader pushedReader

### pushedSourceName

    java.lang.String pushedSourceName

### pushedLastRead

    java.lang.Object pushedLastRead

Constructor Detail

### LTF_Parser.IncludeReader

    LTF_Parser.IncludeReader(java.net.URL resourceURL,
                             java.io.Reader resourceReader,
                             LispReader readerToWrap)

Method Detail

### readObject

    public java.lang.Object readObject()

  Overrides:
    `readObject` in class `LispReader`

### pushState

    void pushState()

### popState

    void popState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD